$ColourBorder: #444;
$ColourBorderHighlight: white;
$ColourObjectLight: #cedce7;
$ColourObjectDark: #596a72;
$ColourAlt1: var(--color-green);

.mouseIcon {
  position: relative;
  display: inline-block;
  height: 1em;
  width: 0.75em;
  vertical-align: baseline;
  background: radial-gradient(ellipse at center, lighten($ColourObjectLight,10%) 0%,lighten($ColourObjectDark,30%) 100%);
  border-radius: 30% 30% 45% 45%;
  box-shadow: 0.02em 0.02em 0.1em #0000004d;
  border: solid 0.01em $ColourBorder;

  &:before, &:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    height: 45%;
    width: 50%;
    border-bottom: solid 0.01em $ColourBorder;
    box-shadow: 0 0 5px fade(black,70%);
  }
  &:before {
    left: 0;
    border-radius: 62% 0 0 0;
    background: radial-gradient(ellipse at top, lighten($ColourObjectLight,10%) 0%,lighten($ColourObjectDark,30%) 100%);
    border-right: solid 0.005em $ColourBorder;
  }
  &:after {
    right: 0;
    border-radius: 0 62% 0 0;
    background: radial-gradient(ellipse at top, lighten($ColourObjectLight,10%) 0%,lighten($ColourObjectDark,30%) 100%);

    border-left: solid 0.005em $ColourBorder;
  }
}

.mouseIcon-wheel {
  display: block;
  position: absolute;
  top: 7%;
  left: 50%;
  margin-left: -0.05em;
  width: 0.1em;
  height: 0.3em;
  background: radial-gradient(ellipse at center, darken($ColourObjectLight,10%) 0%,darken($ColourObjectDark,10%) 100%);
  z-index: 1;
  border-radius: 0.05em;
  border: solid 1px $ColourBorder;
}

.mouseIcon-leftBtn {
  &:before {
    background: $ColourAlt1;
    @media print {
      background: $ColourBorder;
    }
  }
}

.mouseIcon-rightBtn {
  &:after {
    background: $ColourAlt1;
    @media print {
      background: black;
    }
  }
}

.mouseIcon-scroll .mouseIcon-wheel {
  background: $ColourAlt1;
  @media print {
    background: $ColourBorder;
  }
}
